Subject: Re: How To: Re: LessTif build under Cygwin32?
From: [email-masked] (Suhaib M. Siddiqi)

29 Jan 1999 04:37:19 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="Windows-1252"
Content-Transfer-Encoding: 7bit
To: "Rick Scott" <[email-masked]>
Cc: "Stipe Tolj" <[email-masked]>,
        "Jon A. Christopher" <[email-masked]>,
        "tromey" <[email-masked]>,
        "Francois Felix Ingrand" <[email-masked]>,
        "Kilfoyle, Greg" <[email-masked]>,
        "lesstif" <[email-masked]>, "gnu-win32" <[email-masked]>,
        "automake" <[email-masked]>

Yes, It should be able to find if you set LD before runing configure,
But does not.

It kept failing with error message "no acceptable ld found in $PATH"

By manually editing the configure script, it find it and works.

Suhaib
----
*************************************************
Suhaib M. Siddiqi, Ph.D.
Senior Research Chemist
Inspire Pharmaceuticals, Inc.
4222 Emperor Blvd., Suite 470
Durham, NC 27703-8466

Tel: 919-941-9777 Ext. 238
Fax: 919-941-9797
E-Mail: [email-masked]
http://www.inspirepharm.com

============================

----- Original Message -----
From: Rick Scott <[email-masked]>
To: Suhaib M. Siddiqi <[email-masked]>
Cc: Stipe Tolj <[email-masked]>; Jon A. Christopher
<[email-masked]>; tromey <[email-masked]>; Francois Felix
Ingrand <[email-masked]>; Kilfoyle, Greg
<[email-masked]>; lesstif <[email-masked]>; gnu-win32
<[email-masked]>; automake <[email-masked]>
Sent: Thursday, January 28, 1999 10:17 AM
Subject: Re: How To: Re: LessTif build under Cygwin32?

>What ld does configure find without all the editing.
>
>You should be able to set the evironment variable LD to whatever you
want
>before you run configure, and it should use that.  Should be easier
than
>editing files.
>
>I would like to fix it so that it "configures out of the box".
>
>
>> Stipe,
>> I cannot send you precompiled LessTif 0.87 libraries right now.
>> I use Cygnus only to create Makef ile and test the configuration
files.
>> For the final compilation I use PGI commercial compilers.  Therefore,
>> the
>> compiled Cygnus/LessTif binaries were desrtroyed. However, I do have
>> configuration files in-tact yet to recreat them again.
>>
>> However, I will be able to send you a precompiled LessTif 0.87 next
>> week.  All, I have to do is to run a "make
>> clean" then "make" commands to rebuild them.
>>
>> Here are some MUST which users can follow to compile LessTif 0.87
>> themselves.
>>
>>
>> 1) X11R6.4 installation is required.  Compile it yourself or download
it
>> from
>> Andy Piper's or Sergey's web sites.
>>
>> 2) The hard drives must be monuted in binary mode otherwise
>> configuration files
>> will fail.  Users must use Sergey's COOLVIEW.  Cygwin1.lib out of
Cygnus
>> distribution
>> gives problems.
>> Als, use EGCS-1.1.1 from Mumit Khan.  The GCC in Cygnus distribution
>> gives problems, somtimes.
>>
>> 3) Lesstif-current.tar.gz source code must be extracted on a binary
>> mounted disk
>> using tar zxvf lesstif-current.tar.gz.  Do not use anyother utility
to
>> extract the source
>> code otherwise you will have a pars errors mess during compilation.
>>
>> 4) Go to Lesstif-current source directory and edit "configure"
script.
>> Search for the
>> line LD='$ac_cv_path".
>> Change it to LD="/usr/cygnus-b20/H-i586-cygwin32/bin/ld.exe" (repalce
it
>> with your correct path)
>> Use only VI editor (no vanila Microsoft Note pad please)
>>
>> 5) Go to Xlt directory and edit the "configure" script.
>> Search for the
>> line LD='$ac_cv_path".
>> Change it to LD="/usr/cygnus-b20/H-i586-cygwin32/bin/ld.exe" (repalce
it
>> with your correct path)
>> Use only VI editor (no vanila Microsoft Note pad please)
>>
>> 6) Go to Lesstif/test subdirectory and
>> Search for the
>> line LD='$ac_cv_path".
>> Change it to LD="/usr/cygnus-b20/H-i586-cygwin32/bin/ld.exe" (repalce
it
>> with your correct path)
>> Use only VI editor (no vanila Microsoft Note pad please)
>>
>> 7) Now run the "configure" script with the following command
>>
>>
../configure --prefix=/lesstif/dist --x-includes=/usr/cygwin-b20/X11R6/in
>>
clude --x-libraries=/usr/cygwin-b20/X11R6/lib --target=H-i586-cygwin32 -
>> -enable-shared=yes --enable-static=yes
>>
>> Note: Repace /usr/cygwin-b20 according to your system path for Cygnus
>> B-20.1 installation.  I have it installed under
>> /usr/cygwin-b20 on my system, because I am still using B-19 too.
>>
>> 8) Now run the make" command and LessTif should compile, under
>> Cygnus-B-20.1
>> ----
>> *************************************************
>> Suhaib M. Siddiqi, Ph.D.
>> Senior Research Chemist
>> Inspire Pharmaceuticals, Inc.
>> 4222 Emperor Blvd., Suite 470
>> Durham, NC 27703-8466
>>
>> Tel: 919-941-9777 Ext. 238
>> Fax: 919-941-9797
>> E-Mail: [email-masked]
>> http://www.inspirepharm.com
>>
>> ============================
>>
>>
>>
>>
>> ----- Original Message -----
>> From: Stipe Tolj <[email-masked]>
>> To: Suhaib M. Siddiqi <[email-masked]>
>> Cc: Jon A. Christopher <[email-masked]>; tromey
>> <[email-masked]>; Rick Scott <[email-masked]>; Francois Felix
>> Ingrand <[email-masked]>; Kilfoyle, Greg
>> <[email-masked]>; lesstif <[email-masked]>; gnu-win32
>> <[email-masked]>; automake <[email-masked]>
>> Sent: Tuesday, January 26, 1999 7:32 PM
>> Subject: Re: LessTif build under Cygwin32?
>>
>>
>> >Hello,
>> >
>> >> I was refering to myself.  I did not have any problems in
compiling
>> >> LessTif 0.87 under Cygnus-B20, Cygnus-B-19, using EGCS and with
>> >> a little hack (i.e manually altering all the Makefiles generated
by
>> >> configure script under Cygwin) I used PGI compilers to
>> >> compile LessTif 0.87.
>> >
>> >may someone be able to contribute a clean binary package or even
better
>> >cygwin supported port source for out of the box compilation of the
>> latest
>> >lesstif and I'll put it on our distribution page at our project's
web
>> site.
>> >
>> >Same thing for the DDD debugger if available.
>> >
>> >Please consider Cygwin b20.1 as building and compilation
environment.
>> Thanks.
>> >
>> >Regards,
>> >Stipe
>> >
>> >--
>> >Stipe Tolj <[email-masked]>
>> >
>> >Cygwin Porting Project -- "We build UNIX on top of Windows"
>> >http://www.student.uni-koeln.de/cygwin/
>> >
>> >Department of Economical Computer Science
>> >University of Cologne, Germany
>> >
>> >
>> >
>> >
>>
>>
>>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".